Bug 999834 - system-config-network gui problems and corruption
system-config-network gui problems and corruption
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 04:49 EDT by Ashley
Modified: 2015-02-17 11:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:52:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashley 2013-08-22 04:49:15 EDT
Description of problem:

system-config-network gui does not function properly:
 -does not understand new naming conventions (eg: p4p1 (biosdevnames))
 -have to use old naming (eth0) for it to function at all
 -corrupts the configuration files when saving
   -if you manually edit and correct the files (/etc/sysconfig/networking/devices) when you run system-config-network gui and save again, it does not save these correctly. 
   It seems to use 'NAME="eth0"' instead of 'DEVICE="eth0"'


Version-Release number of selected component (if applicable):
 system-config-network-1.6.11-2.fc19.x86_64 


How reproducible:
 Every time you run system-config-network gui and save. 

Steps to Reproduce:
1. Disable NetworkManager
   Enable network.service
   Run system-config-network gui. Edit and save. Close. 
   Run system-config-network gui again. You will see that it has 
   "lost" all hardware devices associated with interfaces. 

2. Revert to old nic naming conventions. 
    Step one 
      rpm -e biosdevnames
    Step two
      Add the following to /etc/defaults/grub, after the words rhgb quiet
         net.ifnames=0
    Then run
      grub2-mkconfig -o /boot/grub2/grub.cfg

    Reboot, run system-config-network gui. Save and exit.
    Run system-config-network gui again, now usually fails to open (crashes) 
    View configuration files in /etc/sysconfig/networking/devices  and need 
    to fix them manually. 
3.

Actual results:


Expected results:


Additional info:
Please we need system-config-network gui to also support bonded interfaces.
Comment 1 Fedora End Of Life 2015-01-09 14:33:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:52:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.